Summary:	XvMC library
Summary(pl.UTF-8):	Biblioteka XvMC
Name:		xorg-lib-libXvMC
Version:	1.0.13
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXvMC-%{version}.tar.xz
# Source0-md5:	11a358e7229fa28dc9801c1e64fe2e18
Source1:	XvMCConfig
Source2:	xvmcinfo.c
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel >= 1.6
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-lib-libX11 >= 1.6
Provides:	libXvMCW = %{version}
Obsoletes:	libXvMCW < 1
# withdrawn (and never useful) Mesa drivers
Obsoletes:	Mesa-libXvMC-r300 < 10
Obsoletes:	Mesa-libXvMC-softpipe < 10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XvMC (X-Video Motion Compensation) library.

%description -l pl.UTF-8
Biblioteka XvMC (X-Video Motion Compensation, czyli kompensacji ruchu
dla X-Video).

%package devel
Summary:	Header files for libXvMC library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXvMC
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel >= 1.6
Requires:	xorg-lib-libXext-devel
# for <X11/extensions/Xvlib.h> in <X11/extensions/XvMClib.h>
Requires:	xorg-lib-libXv-devel
# after vldXvMC.h removal
Requires:	xorg-proto-videoproto-devel >= 2.3.3-2019.1.2
Requires:	xorg-proto-xproto-devel
Provides:	libXvMCW-devel = %{version}
Obsoletes:	libXvMCW-devel < 1

%description devel
XvMC (X-Video Motion Compensation) library.

This package contains the header files needed to develop programs that
use libXvMC.

%description devel -l pl.UTF-8
Biblioteka XvMC (X-Video Motion Compensation, czyli kompensacji ruchu
dla X-Video).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXvMC.

%package static
Summary:	Static libXvMC libraries
Summary(pl.UTF-8):	Biblioteki statyczne libXvMC
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	libXvMCW-static = %{version}
Obsoletes:	libXvMCW-static < 1

%description static
XvMC (X-Video Motion Compensation) library.

This package contains the static libXvMC libraries.

%description static -l pl.UTF-8
Biblioteka XvMC (X-Video Motion Compensation, czyli kompensacji ruchu
dla X-Video).

Pakiet zawiera statyczne biblioteki libXvMC.

%prep
%setup -q -n libXvMC-%{version}
cp -p %{SOURCE2} .

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%{__cc} %{rpmcflags} -I./include %{rpmldflags} -L./src/.libs xvmcinfo.c -lX11 -lXv -lXvMC -o xvmcinfo

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

install -Dp %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/X11/XvMCConfig
install -Dp xvmcinfo $RPM_BUILD_ROOT%{_bindir}/xvmcinfo

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXvMC*.la
# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/libXvMC/XvMC_API.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xvmcinfo
%attr(755,root,root) %{_libdir}/libXvMC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXvMC.so.1
%attr(755,root,root) %{_libdir}/libXvMCW.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXvMCW.so.1
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/XvMCConfig

%files devel
%defattr(644,root,root,755)
%doc XvMC_API.txt
%attr(755,root,root) %{_libdir}/libXvMC.so
%attr(755,root,root) %{_libdir}/libXvMCW.so
%{_includedir}/X11/extensions/XvMClib.h
%{_includedir}/X11/extensions/vldXvMC.h
%{_pkgconfigdir}/xvmc.pc
%{_pkgconfigdir}/xvmc-wrapper.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXvMC.a
%{_libdir}/libXvMCW.a
%changelog
* Thu Mar 31 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXvMC.git;a=log;h=master

* Thu Mar 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 022ee95
- updated to 1.0.13

* Thu Sep 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 149fe49
- updated to 1.0.12; now it owns <X11/extensions/vldXvMC.h>

* Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 9cf71d6
- updated to 1.0.11

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> d350358
- updated to 1.0.10 (bounds checking fix)

* Sun Mar 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 5fe6c72
- updated to 1.0.9
- removed obsolete dlopen patch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> db551a3
- x32 rebuild
- release 3 (by relup.sh)

* Wed Dec 24 2014 Jan Rękorajski <baggins@pld-linux.org> 45886f0
- fix building xvmcinfo without libXvMC installed
- fix libXvMCW linking

* Fri Dec 06 2013 Jakub Bogusz <qboosh@pld-linux.org> db2d2e3
- release 2

* Fri Dec 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 351f895
- Obsoletes for removed Mesa XvMC drivers

* Fri Jun 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 5e8ba52
- updated to 1.0.8 (fixes CVE-2013-1990 CVE-2013-1999)

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 627a9fe
- updated to 1.0.7
- added Mesa modules to list in XvMCConfig

* Tue May 31 2011 Tomasz Pala <gotar@pld-linux.org> 6f78926
- removed unused *.la files, rel++

* Thu Dec 30 2010 Elan Ruusamäe <glen@pld-linux.org> 187b6eb
- add xvmcinfo program

* Thu Dec 30 2010 Elan Ruusamäe <glen@pld-linux.org> eb0a02b
- copy from http://www.mythtv.org/wiki/XvMC

* Thu Dec 30 2010 Elan Ruusamäe <glen@pld-linux.org> b2f3fd8
- note libIntelXvMC.so.1

* Sun Aug 15 2010 Jakub Bogusz <qboosh@pld-linux.org> c9c858a
- updated to 1.0.6

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> ef7bfbc
- rebuild
- rel 2

* Tue Oct 06 2009 Jakub Bogusz <qboosh@pld-linux.org> 2566ff3
- updated util-macros version
- more verbose files and descs, added README and XvMC_API.txt to docs
- ghost soname symlinks

* Tue Oct 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> cfeae4f
- up to 1.0.5

* Thu Nov 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 42480cd
- release 3

